Package org.eclipse.ecf.filetransfer

## Interface IRetrieveFileTransferOptions

    public interface IRetrieveFileTransferOptions

Since:
  3.1
Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

Fields
`static String` `CONNECT_TIMEOUT` This constant defines a key in options Map passed to `IRetrieveFileTransferContainerAdapter.sendRetrieveRequest(org.eclipse.ecf.filetransfer.identity.IFileID, IFileTransferListener, java.util.Map)`.
`static String` `READ_TIMEOUT` This constant defines a key in options Map passed to `IRetrieveFileTransferContainerAdapter.sendRetrieveRequest(org.eclipse.ecf.filetransfer.identity.IFileID, IFileTransferListener, java.util.Map)`.
`static String` `REQUEST_HEADERS` This constant defines a key in options Map passed to `IRetrieveFileTransferContainerAdapter.sendRetrieveRequest(org.eclipse.ecf.filetransfer.identity.IFileID, IFileTransferListener, java.util.Map)`.

### Field Detail

#### REQUEST_HEADERS

    static final String REQUEST_HEADERS

This constant defines a key in options Map passed to `IRetrieveFileTransferContainerAdapter.sendRetrieveRequest(org.eclipse.ecf.filetransfer.identity.IFileID, IFileTransferListener, java.util.Map)`. Supporting providers will use this key to look for a value of type Map, and if found the String key/value pairs in the Map will be used as request headers. The expected type of the value associated with this key is of type `Map`.

#### CONNECT_TIMEOUT

    static final String CONNECT_TIMEOUT

This constant defines a key in options Map passed to `IRetrieveFileTransferContainerAdapter.sendRetrieveRequest(org.eclipse.ecf.filetransfer.identity.IFileID, IFileTransferListener, java.util.Map)`. Supporting providers will use this key to look for a value of type Integer or String, and if found this value will be used to determine the socket connection timeout for this request. The expected type of the value associated with this key is of type Integer, or String value of an Integer.

#### READ_TIMEOUT

    static final String READ_TIMEOUT

This constant defines a key in options Map passed to `IRetrieveFileTransferContainerAdapter.sendRetrieveRequest(org.eclipse.ecf.filetransfer.identity.IFileID, IFileTransferListener, java.util.Map)`. Supporting providers will use this key to look for a value of type Integer or String, and if found this value will be used to determine the socket read timeout for this request. The expected type of the value associated with this key is of type Integer, or String value of an Integer.